import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;
import java.io.*;

/**
* Class Final. Muestra la pantalla final e imprime los resultados en archivo de texto
*/

public class Final extends JFrame implements ActionListener{
	
	
/**
*  El panel que se agrega
*/
	JPanelBackground panel;
	
	JButton boton1;
	JButton boton2;
	JLabel label1;
	JLabel label2;
	JLabel label3;
	JLabel label4;
	JLabel label5;
/**
*  Randomizador
*/	
	int rand=3;

/**
*  Argumento Usuario de la clase
*/
	usuario us;
	
/** 
* Constructor Final
* @param n Usuario participante de la aplicación
*/
	public Final(usuario n){

	us = n;
	
	us.Analizar();
	
	//////////constructor de guardado//////////////////
	System.out.println("puntos 1 "+us.retPt1());
	System.out.println("puntos 2 "+us.retPt2());
	System.out.println("puntos 3 "+us.retPt3());
	System.out.println("puntos 4 "+us.retPt4());
	System.out.println(us.retName());
	
	String str;
	String ruta = "Informe.txt";
	File archivo = new File(ruta);
	BufferedWriter bw;
	//crear el archivo
	 try{
	if(archivo.exists()) {
	      bw = new BufferedWriter(new FileWriter(archivo,true));
	      try{
	    	  //////////////si lo modifica/////////////////
	    	  bw.write(us.retName());
	    	  bw.write("\nPuntaje en Vocabulario: "+us.retPt1());
	    	  bw.write("\nPuntaje en Conjugacion de verbos: "+us.retPt2());
	    	  bw.write("\nPuntaje en pronombres: "+us.retPt3());
	    	  bw.write("\nPuntaje en comprension lectora: "+us.retPt4());
	    	  bw.write("\n\nConclusión:");
	    	  bw.write("\n\n"+us.retA1());
	    	  bw.write("\n\n"+us.retA2());
	    	  bw.write("\n\n"+us.retA3());
	    	  bw.write("\n\n"+us.retA4());
	    	  bw.write("\n");
	    	  bw.write("\n");
	  	}catch(Exception e){
	  		System.err.println("Error al abrir el archivo");
	  	}
	} else {
	      bw = new BufferedWriter(new FileWriter(archivo,true));
	      try{
	    	  ////////////si lo crea/////////////////
	    	  bw.write("Informe de grupo evaluado.");
	    	  bw.write("\nSe pondra a dispocicion los resultados y la evaluación automatica del grupo de presonas evaluado:");
	    	  bw.write("\nLista de personas:\n\n");
	    	  
	    	  bw.write(us.retName());
	    	  bw.write("\nPuntaje en Vocabulario: "+us.retPt1());
	    	  bw.write("\nPuntaje en Conjugación de verbos: "+us.retPt2());
	    	  bw.write("\nPuntaje en pronombres: "+us.retPt3());
	    	  bw.write("\nPuntaje en comprensión lectora: "+us.retPt4());
	    	  bw.write("\n\nConclusión:");
	    	  bw.write("\n\n"+us.retA1());
	    	  bw.write("\n\n"+us.retA2());
	    	  bw.write("\n\n"+us.retA3());
	    	  bw.write("\n\n"+us.retA4());
	    	  bw.write("\n");
	    	  bw.write("\n");
		  	}catch(Exception e){
		  		System.err.println("Error al crear el archivo");
		  	}
	}
	bw.close();
	 }catch(Exception e){
	  		System.err.println("Error al manipular el archivo");
	  	}
	
	
	/////////////////////// Seteo del panel //////////////////////////////
	
	this.setTitle("Final");
	this.setVisible(true);
	this.setBounds(50, 50, 500, 500);
	this.setExtendedState(MAXIMIZED_BOTH);
	this.setResizable(false);
	//this.setLayout(null);
	
	
	panel = new JPanelBackground();
	panel.setLayout(null);
	panel.setBackground("steampunk.jpg");
		
	
	label1 = new JLabel();
	label2 = new JLabel();
	label3 = new JLabel();
	label1.setText("Gracias "+us.retName()+" por responder a mis preguntas");
	label2.setText("estoy muy feliz de que me ayudaras, ahora si puedes me gustaria que llamaras");
	label3.setText("a tu profesor o a otro amiguito o amiguita que quiera ayudarme. Gracias!");
	label1.setBounds(450, 210, 2000, 100); //x,y,tamaños(x,y)
	label2.setBounds(450, 230, 2000, 100); //x,y,tamaños(x,y)
	label3.setBounds(450, 250, 2000, 100); //x,y,tamaños(x,y)
	
	
	/////////boton de inicio
	boton1 = new JButton(new ImageIcon("b1.png"));
	boton1.setRolloverIcon(new ImageIcon("b2.png"));
	boton1.setBorderPainted(false);
	label4 = new JLabel();
	label4.setText("Viene otra persona");
	label4.setBounds(300, 300, 180, 138); //x,y,tamaños(x,y)
	boton1.setBounds(300, 400, 180, 138); //x,y,tamaños(x,y)
	
	boton2 = new JButton(new ImageIcon("b1.png"));
	boton2.setRolloverIcon(new ImageIcon("b2.png"));
	boton2.setBorderPainted(false);
	label5 = new JLabel();
	label5.setText("Viene el profesor");
	label5.setBounds(900, 300, 180, 138); //x,y,tamaños(x,y)
	boton2.setBounds(900, 400, 180, 138); //x,y,tamaños(x,y)

	
	this.add(panel); ////agrega el panel
	panel.add(boton1);
	panel.add(boton2);
	panel.add(label1);
	panel.add(label2);
	panel.add(label3);
	panel.add(label4);
	panel.add(label5);
	
	this.boton1.addActionListener(this);
	this.boton2.addActionListener(this);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/	
	public void actionPerformed(ActionEvent arg0) {
	
		////////////////////////////////////////////////////////////////
		Random rnd = new Random();
		int rd =10+rnd.nextInt(rand); ///////selector de preguntas random
		
		if(arg0.getSource().equals(boton1)){
			Inicio in = new Inicio();
			this.dispose();
		}
		
		if(arg0.getSource().equals(boton2)){
			this.dispose();
		}
		
	}

}